/// <reference types="node" />
import { EventEmitter } from 'events';
import type { BrowserWindow, BrowserWindowConstructorOptions } from 'electron';
export interface AttachEvent {
    isFullscreen: boolean | undefined;
    x: number;
    y: number;
    width: number;
    height: number;
}
export interface FullscreenEvent {
    isFullscreen: boolean;
}
export interface MoveresizeEvent {
    x: number;
    y: number;
    width: number;
    height: number;
}
export interface OverlayWindow {
    on(event: 'attach', listener: (e: AttachEvent) => void): this;
    on(event: 'focus', listener: () => void): this;
    on(event: 'blur', listener: () => void): this;
    on(event: 'detach', listener: () => void): this;
    on(event: 'fullscreen', listener: (e: FullscreenEvent) => void): this;
    on(event: 'moveresize', listener: (e: MoveresizeEvent) => void): this;
}
export declare class OverlayWindow extends EventEmitter {
    private electronWindow;
    private lastBounds;
    private isFocused;
    private willBeFocused;
    private static isInitialized;
    static readonly WINDOW_OPTS: BrowserWindowConstructorOptions;
    constructor(overlayWindow: BrowserWindow, targetWindowTitle: string);
    private updateOverlayBounds;
    private handler;
    activateOverlay(): void;
    focusTarget(): void;
}
